package sun.net;

import java.security.AccessController;
import java.security.PrivilegedAction;
import java.io.BufferedInputStream;
import java.io.FileInputStream;
import java.io.File;
import java.util.Properties;

public class NetProperties
{
    private static Properties props;
    
    private NetProperties() {
    }
    
    private static void loadDefaultProperties() {
        String property = System.getProperty("java.home");
        if (property == null) {
            throw new Error("Can't find java.home ??");
        }
        try {
            BufferedInputStream inStream = new BufferedInputStream(new FileInputStream(new File(new File(property, "lib"), "net.properties").getCanonicalPath()));
            NetProperties.props.load(inStream);
            inStream.close();
        }
        catch (Exception ex) {}
        return;
    }
    
    public static String get(String s) {
        String property = NetProperties.props.getProperty(s);
        try {
            return System.getProperty(s, property);
        }
        catch (IllegalArgumentException ex) {}
        catch (NullPointerException ex2) {}
        return null;
    }
    
    public static Integer getInteger(String s, int value) {
        String property = null;
        try {
            property = System.getProperty(s, NetProperties.props.getProperty(s));
        }
        catch (IllegalArgumentException ex) {}
        catch (NullPointerException ex2) {}
        if (property != null) {
            try {
                return Integer.decode(property);
            }
            catch (NumberFormatException ex3) {}
        }
        return new Integer(value);
    }
    
    public static Boolean getBoolean(String s) {
        String property = null;
        try {
            property = System.getProperty(s, NetProperties.props.getProperty(s));
        }
        catch (IllegalArgumentException ex) {}
        catch (NullPointerException ex2) {}
        if (property != null) {
            try {
                return Boolean.valueOf(property);
            }
            catch (NumberFormatException ex3) {}
        }
        return null;
    }
    
    static void access$000() {
        loadDefaultProperties();
    }
    
    static {
        NetProperties.props = new Properties();
        AccessController.doPrivileged(new PrivilegedAction<Void>() {
            @Override
            public Void run() {
                NetProperties.access$000();
                return null;
            }
        });
    }
}
